<%  first=true;
    String link = (isMediaFile(closeupPath))? "slides/" + label + engine.getPageExtension() : closeupPath;

	// ------------- Oli "new picture" - begin
		// 86400000 = one day in ms = 24 * 3600 * 1000
  	int periodMs = 7 * 86400000;
  	Calendar rightNow = Calendar.getInstance();
		if ((rightNow.getTimeInMillis() - fileDate.getTime())<=periodMs) out.print("<img src='$resPath/newfile.gif' title=''>");	 
	// ------------- Oli "new picture" - end
    
    if(ttNumber)   { if(first) first=false; else out.print("<br>"); out.print("<A HREF=\"" + link + "\">" + imageNum + "</A>"); }
    if(ttComment)  {
      if(comment!=void && comment!=null && comment.length()>0) { 
        if(first) first=false; else out.print("<br>"); 
        out.print("<A HREF=\"" + link + "\">");
        if(ttAbbreviateComment && (ttAbbreviateCommentLength > 3) && (comment.length() > ttAbbreviateCommentLength)) {
          if((i = comment.lastIndexOf(" ", ttAbbreviateCommentLength - 3)) > 0)
            out.print(comment.substring(0, i));
          else
            out.print(comment.substring(0, ttAbbreviateCommentLength - 3));
          out.print("...");
        }
        else
          out.print(comment);
        out.print("</A>");
      }
      else { if(ttUseLabelIfNoComment && !ttLabel && !ttFileName) { 
        if(first) first=false; else out.print("<br>"); out.print("(<A HREF=\"" + link + "\">" + label + "</A>)"); }}
    }
    if(ttLabel)    { if(first) first=false; else out.print("<br>"); out.print("<strong><A HREF=\"" + link + "\">" + label + "</A></strong>"); }
    if(ttFileName) { if(first) first=false; else out.print("<br>"); out.print("<strong><A HREF=\"" + link + "\">" + fileName + "</A></strong>"); }
    if(ttDate)     { if(first) first=false; else out.print("<br>"); out.print((originalDate!=void)? originalDate : fileDate); }
    if(ttSize)     { if(first) first=false; else out.print("<br>"); out.print(originalWidth + "x" + originalHeight + " (" + fileSize/1024 + "kB)"); } 
    if(isMediaFile(closeupPath) == false && printing.equals("photobox") && photoBoxID != void) { 
      if(!first) out.print("<br>");
      out.println("$text.order&nbsp;");
      out.print("<script type=\"text/javascript\">buy(\'");
      if(originalPath==void) out.print("$imagePath"); else out.print("$originalPath");
      out.println("\',\'checkbox\');</script>");
      if((originalPath == void) && ((imageWidth > imageHeight)? (imageWidth < 800):(imageHeight < 800)) || ((originalWidth > originalHeight)? (originalWidth < 800):(originalHeight < 800)))
        out.println("<img src=\"$resPath/danger.gif\" alt=\"\" width=\"13\" height=\"13\" border=\"0\" align=\"absmiddle\" title=\"$text.resolutionWarning\">");
    }
    out.print("<br>&nbsp;");
%>
